# opj_jp2 Struct Reference
[JP2 - JPEG-2000 file format reader/writer]

`#include <gdcm_jp2.h>`

Collaboration diagram for opj_jp2:
[legend]

List of all members.

## Public Attributes
unsigned int | approx
unsigned int | bpc
unsigned int | brand
unsigned int | C
opj_common_ptr | cinfo
unsigned int * | cl
opj_jp2_comps_t * | comps
unsigned int | enumcs
unsigned int | h
unsigned int | IPR
opj_j2k_t * | j2k
unsigned int | j2k_codestream_length
unsigned int | j2k_codestream_offset
unsigned int | meth
unsigned int | minversion
unsigned int | numcl
unsigned int | numcomps
unsigned int | precedence
unsigned int | UnkC
unsigned int | w

## Detailed Description

JPEG-2000 file format reader/writer

## Member Data Documentation

unsigned int opj_jp2::approx

unsigned int opj_jp2::bpc

unsigned int opj_jp2::brand

unsigned int opj_jp2::C

opj_common_ptr opj_jp2::cinfo

codec context

unsigned int* opj_jp2::cl

opj_jp2_comps_t* opj_jp2::comps

unsigned int opj_jp2::enumcs

unsigned int opj_jp2::h

unsigned int opj_jp2::IPR

opj_j2k_t* opj_jp2::j2k

handle to the J2K codec

unsigned int opj_jp2::j2k_codestream_length

unsigned int opj_jp2::j2k_codestream_offset

unsigned int opj_jp2::meth

unsigned int opj_jp2::minversion

unsigned int opj_jp2::numcl

unsigned int opj_jp2::numcomps

unsigned int opj_jp2::precedence

unsigned int opj_jp2::UnkC

unsigned int opj_jp2::w

The documentation for this struct was generated from the following file:

- gdcm_jp2.h